ID CVE-2020-22083
Summary ** DISPUTED ** jsonpickle through 1.4.1 allows remote code execution during deserialization of a malicious payload through the decode() function. Note: It has been argued that this is expected and clearly documented behaviour. pickle is known to be capable of causing arbitrary code execution, and must not be used with un-trusted data.
References
Vulnerable Configurations
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.1.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.1.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.2.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.3.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.3.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.3.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.3.1:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.4.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.4.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.5.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.5.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.6.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.6.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.6.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.6.1:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.2:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.8.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.8.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.1:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.2:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.2:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.3:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.3:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.4:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.4:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.5:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.5:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.6:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:0.9.6:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.0:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.0:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.1:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.2:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.3:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.3:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.4:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.4:*:*:*:*:*:*:*
  • cpe:2.3:a:jsonpickle_project:jsonpickle:1.4.1:*:*:*:*:*:*:*
    cpe:2.3:a:jsonpickle_project:jsonpickle:1.4.1:*:*:*:*:*:*:*
CVSS
Base: 7.5 (as of 23-12-2020 - 15:38)
Impact:
Exploitability:
CWE CWE-502
CAPEC
  • Object Injection
    An adversary attempts to exploit an application by injecting additional, malicious content during its processing of serialized objects. Developers leverage serialization in order to convert data or state into a static, binary format for saving to disk or transferring over a network. These objects are then deserialized when needed to recover the data/state. By injecting a malformed object into a vulnerable application, an adversary can potentially compromise the application by manipulating the deserialization process. This can result in a number of unwanted outcomes, including remote code execution.
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:P/I:P/A:P
refmap via4
misc
Last major update 23-12-2020 - 15:38
Published 17-12-2020 - 16:15
Last modified 23-12-2020 - 15:38
Back to Top